package com.philisense.www.service.impl;


import com.philisense.www.dao.ProResAuthDAO;
import com.philisense.www.service.ProResAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProResAuthServiceImpl implements ProResAuthService {

@Autowired
private ProResAuthDAO proResAuthDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proResAuthDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proResAuthDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proResAuthDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proResAuthDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proResAuthDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proResAuthDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proResAuthDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proResAuthDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proResAuthDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proResAuthDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proResAuthDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proResAuthDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proResAuthDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getAllProResourceTreeByAuthID(Map<String, Object> map) {
        return proResAuthDAO.getAllProResourceTreeByAuthID(map);
    }

    @Override
    public List<Map<String, Object>> getPageAuthByProResourceTreeId(Map<String, Object> map) {
        return proResAuthDAO.getPageAuthByProResourceTreeId(map);
    }

    @Override
    public int getCountAuthByProResourceTreeId(Map<String, Object> map) {
        return proResAuthDAO.getCountAuthByProResourceTreeId(map);
    }

    @Override
    public int updateChangeTargetNodeWithSourceNodeForProResource(Map<String, Object> map) {
        return proResAuthDAO.updateChangeTargetNodeWithSourceNodeForProResource(map);
    }

    @Override
    public void deleteBatchByAuthID(Map<String, Object> map) {
        proResAuthDAO.deleteBatchByAuthID(map);
    }
}
